fn main() {
    let list = vec![1, 2, 3];
    println!("Przed zdefiniowniem domknięcia: {:?}", list);

    let only_borrows = || println!("Z domknięcia: {:?}", list);

    println!("Przed wywołaniem domknięcia: {:?}", list);
    only_borrows();
    println!("Po wywołaniu domknięcia: {:?}", list);
}
